Bug 568915 - apps can only move themselves vertically
Summary: apps can only move themselves vertically
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: fvwm
Version: 12
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Adam Goode
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-02-26 22:18 UTC by Tom Horsley
Modified: 2010-07-30 08:45 UTC (History)
2 users (show)

Fixed In Version: fvwm-2.5.30-2.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-07-30 08:43:01 UTC


Attachments (Terms of Use)

Description Tom Horsley 2010-02-26 22:18:33 UTC
Description of problem:

Build the qt "shapedclock" example (from qt-examples rpm), click in
the clock and try to drag it around the screen while using fvwm
as window manager. The clock only moves vertically, fvwm is
apparently ignoring the X movement and only applying the Y movement
requests.


Version-Release number of selected component (if applicable):
fvwm-2.5.26-4.fc12.x86_64

How reproducible:
every time

Steps to Reproduce:
1.see description
2.
3.
  
Actual results:
only vertical movement

Expected results:
move anywhere

Additional info:
This bug is apparently fixed in the latest cvs repo version of fvwm from
the cvs.fvwm.org server. I just built from that source, and can drag the
shapedclock example around anywhere when running that version of fvwm.
Perhaps fedora should update to cvs?

Comment 1 Fedora Update System 2010-07-12 19:40:45 UTC
fvwm-2.5.30-2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/fvwm-2.5.30-2.fc13

Comment 2 Fedora Update System 2010-07-12 19:40:56 UTC
fvwm-2.5.30-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/fvwm-2.5.30-2.fc12

Comment 3 Fedora Update System 2010-07-13 07:35:26 UTC
fvwm-2.5.30-2.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update fvwm'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/fvwm-2.5.30-2.fc12

Comment 4 Fedora Update System 2010-07-13 07:50:24 UTC
fvwm-2.5.30-2.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update fvwm'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/fvwm-2.5.30-2.fc13

Comment 5 Fedora Update System 2010-07-30 08:42:52 UTC
fvwm-2.5.30-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2010-07-30 08:45:46 UTC
fvwm-2.5.30-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.